



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>IPv6 VS IPv4，谈谈升级 IPv6 的必要性</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">IPv6 VS IPv4，谈谈升级 IPv6 的必要性</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-21 20:06:26 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>11月26日，中办、国办印发了《推进互联网协议第六版（IPv6）规模部署行动计划》，提出国内要在 5~10 年的时间形成下一代互联网自主技术体系和产业生态，建成全球最大规模的 IPv6 商业应用网络；到 2025 年末，我国 IPv6 网络规模、用户规模、流量规模位居世界第一位，网络、应用、终端全面支持 IPv6，全面完成向下一代互联网的平滑演进升级，形成全球领先的下一代互联网技术产业体系。</p>
<p>这份行动计划，几乎让每一个国内互联网、智能硬件的从业者大呼过瘾——因为这将彻底解决困扰我国多时的 IPv4 资源不足的问题，极大地提升我国的互联网接入质量。</p>
<h2>为什么要推进 IPv6</h2>
<p>事情要从 1981 年开始说起，IETF 在 1981 年发布了 RFC 791 标准，从那时起我们便开始使用 IPv4。IPv4 总计约能提供 40 亿条 IP 地址，由于上世纪 80 年代电脑是个紧缺货，当时的人可能都无法想象地球上有 40 亿台电脑，也就没有去担心 IPv4 地址耗尽。</p>
<p>不过超出大家预期的是移动互联网和物联网的极速发展。除了电脑之外，智能设备比比皆是，每一台手机、智能手环、手表、路由器等设备都会占据一个 IP 地址，甚至电视机、智能冰箱、智能洗衣机、空调、门锁等能接入互联网的智能家具，也需要自己的 IP 地址。在联网设备种类繁多的情况下，IPv4 的地址捉襟见肘。同时国外还有很多组织同时拥有上百个 IP 地址，但是实际使用的只有地址却只有数十个，导致了大量的 IP 地址被浪费，让 IPv4 地址更加紧缺。</p>
<p>目前我国推进 IPv6 最大的一个动力就是为了解决 IPv4 地址枯竭的问题。</p>
<h2>IPv6，为每一粒沙提供一个 IP</h2>
<p>IPv6 是 IETF 在 1995 年公布的下一代 IP 地址标准，与 IPv4 相比，IPv6 128 位的地址长度可以提供 3.402823669 × 10³⁸ 个地址。具体是多少个，笔者也数不清，总之据说可以给地球上的每一粒沙子都提供一个 IP 地址。</p>
<p>相比之下，我们回顾一下 IPv4 提供的地址数量—— 40 多亿条。</p>
<p>除了充沛的 IP 地址数量，IPv6 相比 IPv4 还有其他诸多的优势。</p>
<p><strong>更快的传输速度</strong></p>
<p>快、更快、非常快，这是现在互联网长期的追求，而 IPv6 是固定报头，不像 IPv4 那样携带一堆冗长的数据，简短的报头提升了网络数据转发的效率。并且由于 IPv6 的路由表更小，聚合能力更强，保证了数据转发的路径更短，极大的提高了转发效率。</p>
<p><img referrerpolicy="no-referrer"src="http://images2017.cnblogs.com/blog/585973/201712/585973-20171204111847857-399980525.png"></p>
<p>△ IPv4 和 IPv6 的头部对比</p>
<p><strong>更安全的传输方式</strong></p>
<p>安全虽然越来越多的网站正在开启 SSL，但是依旧有大量的网站没有采用 HTTPS 。在 IPv4 协议中并没有强制使用 IPSec加密数据，导致网站明文传输泄漏数据，而 IPv6 则是直接集成了 IPSec，在网络层认证与加密数据，为用户提供端到端的数据安全，保证数据不被劫持。</p>
<p><strong>对移动端更加友好</strong></p>
<p>现在手机等移动设备可以说已经成为许多人不可缺少的一部分了， IPv6 协议可以增强移动终端的移动特性、安全特性、路由特性，同时降低网络部署的难度和投资。</p>
<p><strong>即插即用</strong></p>
<p>同样与 IPv4 相比， IPv6 增加了自动配置以及重配置技术，对于 IP 地址等信息实现自动增删更新配置，提升 IPv6 的易管理性。</p>
<h2>普及 IPv6 的难点</h2>
<p>一句来自灵魂深处的拷问，为什么 IPv6 有如此多优点，可是这么多年过去了还是没有普及呢？</p>
<p>阻碍 IPv6 普及，一方面是技术原因，还一方面是资源分配不平均：</p>
<p>1. IPv6 与 IPv4 的兼容性存在问题，双方之间很难做到完整的互联互通，目前的技术是在双方通信时经过隧道，建立隧道的成本太高；</p>
<p>2. 美国、欧洲等手里拥有大量闲置的 IPv4 地址资源，它们现在还无需担心地址枯竭，所以也迟迟不肯推进 IPv6 的普及。</p>
<h2>又拍云，积极布局 IPv6</h2>
<p>如上所言，目前欧美对推进 IPv6 的普及，并没有太大的热心；反而是我国，这几年面临着互联网、物联网大国与缺乏 IPv4 资源的矛盾，这也推动我国在 IPv6 普及这件事情上，走在全球前列。《推进互联网协议第六版（IPv6）规模部署行动计划》更是把 IPv6 推到了国家政策层面上。</p>
<p>在《行动计划》提出之前，作为国内领先的云服务厂商，又拍云在 2016 年便开始投入 IPv6 的建设，为客户提供智能化的 IPv6 服务，无需进行配置修改，即可实现 IPv4 到 IPv6 的网关转换，客户和终端用户能够早一步享受 IPv6 更稳定、快速的网络质量。</p>
<p>国内三大运营商也是早早地在 30 多个城市重点升级改造了公众互联网、专用业务承载网以及 3G/4G 移动分组域，加快 IDC 数据中心以及自营业务平台的升级改造，截止 2016 年 11 月已发展 IPv6 用户超过 1100 万。</p>
<p><strong>推荐阅读：</strong></p>
<p><a href="http://link.zhihu.com/?target=https%3A//tech.upyun.com/article/248/IPv6%25EF%25BC%258CAppStore%2520%25E5%25AE%25A1%25E6%25A0%25B8%25E4%25B8%258D%25E6%2598%25AF%25E5%2594%25AF%25E4%25B8%2580%25E9%2580%2589%25E6%258B%25A9%25E5%25AE%2583%25E7%259A%2584%25E5%258E%259F%25E5%259B%25A0.html" rel="external nofollow noreferrer">IPv6，AppStore 审核不是唯一选择它的原因</a></p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/39r43ve8.html">Oracle Database 11g Release 2&lpar;11&period;2&period;0&period;3&period;0&rpar; RAC On Redhat Linux 5&period;8 Using Vmware Workstation 9&period;0</a>
		</li>
						<li><a href="https://www.batexi.com/a/o8odmjxq.html">【SDOI2009】HH的项链</a>
		</li>
						<li><a href="https://www.batexi.com/a/e9j2xv08.html">JS 获取地址栏三级域名&lpar;改进版&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/g8e742j9.html">CSS鼠标响应事件经过、移动、点击示例介绍</a>
		</li>
						<li><a href="https://www.batexi.com/a/m8zpe3d9.html">filter应用案例二：权限控制</a>
		</li>
						<li><a href="https://www.batexi.com/a/495epke9.html">ESL python调用C模块时传递unicode字符串报错问题解决</a>
		</li>
						<li><a href="https://www.batexi.com/a/m8zdyj39.html">mysql视图的创建</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pjpd7d9.html">Leetcode027&period; Remove Element</a>
		</li>
						<li><a href="https://www.batexi.com/a/93xn1x09.html">【Unity3D实战】方块跑酷初级开发实战（一）</a>
		</li>
						<li><a href="https://www.batexi.com/a/8oklxjx9.html">Android studio插件安装</a>
		</li>
						<li><a href="https://www.batexi.com/a/96ogrzv9.html">【转载】ShowWindow函数</a>
		</li>
						<li><a href="https://www.batexi.com/a/93xlvpr9.html">《sort命令的k选项大讨论》-linux命令五分钟系列之二十七</a>
		</li>
						<li><a href="https://www.batexi.com/a/90v0mmo8.html">linux下avr单片机开发：中断服务程序</a>
		</li>
						<li><a href="https://www.batexi.com/a/qn1p13g8.html">pyqt例子搜索文本</a>
		</li>
						<li><a href="https://www.batexi.com/a/qde654j9.html">FilenameUtils工具类</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kp2jj59.html">CSS样式之选择器</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1k67nz9.html">HiJson&lpar;Json格式化工具&rpar;64位中文版下载 v2&period;1&period;2</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gjm6749.html">3、Linux连接oracle</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7oeddg8.html">使用SQL Developer生成Oracle数据库的关系模型（ER图）</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kjo35r9.html">Visual studio 2015 Community 安装过程中遇到问题的终极解决</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/93ygjl08.html">NOIP2015运输计划（树上前缀和&plus;LCA&plus;二分）</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdprze7q.html">Android Studio 3&period;0 使用问题解决方案总结</a>
			</li>
						<li><a href="https://www.batexi.com/a/qxkz5lv8.html">视频加载logo 2</a>
			</li>
						<li><a href="https://www.batexi.com/a/8eyrjkm9.html">写了一个bug，最后却变成了feature，要不要修呢？</a>
			</li>
						<li><a href="https://www.batexi.com/a/9507d0v8.html">Java中Double保留后小数位的几种方法</a>
			</li>
						<li><a href="https://www.batexi.com/a/q2jy3y38.html">28款GitHub最流行的开源机器学习项目</a>
			</li>
						<li><a href="https://www.batexi.com/a/qljpvdx9.html">js如何获取地址栏的参数</a>
			</li>
						<li><a href="https://www.batexi.com/a/q1kw4e29.html">shell 组合新的变量名</a>
			</li>
						<li><a href="https://www.batexi.com/a/qy1065gq.html">Leetcode题解（31）</a>
			</li>
						<li><a href="https://www.batexi.com/a/qnj4gwj8.html">Leetcode题解（十四）</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
